commit c99b2c529befc24bdd0cd6ca20ff8c99f70628ae
Author: Alan Modra <amodra@gmail.com>
Date:   Mon Aug 10 23:01:12 2020 +0930

    Re: PR96493, powerpc local call linkage failure
    
            PR target/96525
            * gcc.target/powerpc/pr96493.c: Make it a link test when no
            power10_hw.  Require power10_ok.
    
    (cherry picked from commit 2ba0674c657fb2089d8aae4f8c254ce0559c8f53)

diff --git a/gcc/testsuite/gcc.target/powerpc/pr96493.c b/gcc/testsuite/gcc.target/powerpc/pr96493.c
index f0de0818813..1e5d43f199d 100644
--- a/gcc/testsuite/gcc.target/powerpc/pr96493.c
+++ b/gcc/testsuite/gcc.target/powerpc/pr96493.c
@@ -1,6 +1,8 @@
-/* { dg-do run } */
+/* { dg-do run { target { power10_hw } } } */
+/* { dg-do link { target { ! power10_hw } } } */
 /* { dg-options "-mdejagnu-cpu=power8 -O2" } */
 /* { dg-require-effective-target powerpc_elfv2 } */
+/* { dg-require-effective-target power10_ok } */
 
 /* Test local calls between pcrel and non-pcrel code.
 

